> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current user



## OpenAPI

````yaml /api-specs/cloud/dmm.json get /model-monitor/v2/api/auth/user/current
openapi: 3.0.3
info:
  description: The API for programmatic access to Domino Model Monitor.
  title: Domino Model Monitor API
  version: 1.0.1
servers:
  - description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
    url: https://mycluster.domino.tech
security: []
tags:
  - description: All Dataset Job related operations.
    name: DatasetJob
  - description: All data source related operations.
    name: DataSource
  - description: All Model related operations.
    name: Model
  - description: Operations related to the management of model tags.
    name: ModelTag
  - description: All Model drift related operations.
    name: ModelDrift
  - description: All Model quality related operations.
    name: ModelQuality
  - description: All Workbench related operations.
    name: Workbench
  - description: Operations related to drift and model quality defaults setting in DMM.
    name: DefaultSettings
  - description: Operations related to configuring user related settings for DMM.
    name: UserSettings
  - description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
    name: Notification
  - description: Other miscellaneous operations.
    name: Other
  - description: All scheduler related operations
    name: Scheduler
paths:
  /model-monitor/v2/api/auth/user/current:
    summary: Get current user Information.
    get:
      tags:
        - Other
      summary: Get current user
      operationId: getCurrentUser
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserResponse'
          description: Successfully returned user information.
        '400':
          description: Bad request input data.
        '401':
          description: Unauthorized. The endpoint requires authentication.
        '403':
          description: Forbidden. The endpoint enforces authorization.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.
      security:
        - {}
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
        - BearerAuth: []
components:
  schemas:
    UserResponse:
      description: User object
      properties:
        domino_id:
          description: Domino User Id
          type: string
        email:
          description: Email of the user
          nullable: true
          type: string
        id:
          description: User Identifier
          type: string
        name:
          description: Name of the user
          type: string
        permissions:
          $ref: '#/components/schemas/userPermissions'
        username:
          description: Username of the user
          type: string
      required:
        - id
        - username
        - name
      type: object
    userPermissions:
      description: Permissions metadata required for a user response
      properties:
        canEditGlobalMonitoringSettings:
          description: Whether the user can edit global monitoring settings
          type: boolean
        canRegisterStandaloneModel:
          description: Whether the user can register standalone models
          type: boolean
      required:
        - canRegisterStandaloneModel
        - canEditGlobalMonitoringSettings
      title: User Permissions
      type: object
  securitySchemes:
    DominoApiKeyAuth:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    DmmApiKeyAuth:
      in: header
      name: X-DMM-API-KEY
      type: apiKey
    cookieAuth:
      in: cookie
      name: PLAY_SESSION
      type: apiKey
    BearerAuth:
      scheme: bearer
      type: http

````

## Related topics

- [Get the current user](/api-reference/users/get-the-current-user.md)
- [Get all users visible to the current user](/api-reference/users/get-all-users-visible-to-the-current-user.md)
- [Get all Gen AI endpoints accessible by the user](/api-reference/genai/get-all-gen-ai-endpoints-accessible-by-the-user.md)
- [Get endpoint by id](/api-reference/genai/get-endpoint-by-id.md)
